import request from '@/utils/request'

// api地址
const api = {
  login: 'passport/login',
  loginMpWx: 'passport/loginMpWx',
  loginWxOfficial: 'passport/loginWxOfficial',
  loginMpWxMobile: 'passport/loginMpWxMobile',
	auth: 'passport/auth',
  loginMpAlipay: 'passport/loginMpAlipay',
  isPersonalMpweixin: 'passport/isPersonalMpweixin',
  accountLogin: 'passport/accountLogin',
  accountRegister: 'passport/accountRegister',
}

// 用户登录 (手机号+验证码)
export function login(data) {
  return request.post(api.login, data)
}

export function accountLogin(data) {
  return request.post(api.accountLogin, data)
}
export function accountRegister(data) {
  return request.post(api.accountRegister, data)
}

// 微信小程序快捷登录 (获取微信用户基本信息)
export function loginMpWx(data, option) {
  return request.post(api.loginMpWx, data, option)
}

// 是否需要填写昵称头像 (微信小程序端)
export function isPersonalMpweixin(data, option) {
  return request.post(api.isPersonalMpweixin, data, option)
}

// 微信公众号一键授权登录 (获取微信用户基本信息)
export function loginWxOfficial(data, option) {
  return request.post(api.loginWxOfficial, data, option)
}

// 微信小程序快捷登录 (授权手机号)
export function loginMpWxMobile(data, option) {
  return request.post(api.loginMpWxMobile, data, option)
}

// 微信小程序快捷登录 (授权手机号)
export function auth(data, option) {
  return request.post(api.auth, data, option)
}

// 支付宝小程序快捷登录 (获取微信用户基本信息)
export function loginMpAlipay(data, option) {
  return request.post(api.loginMpAlipay, data, option)
}
